// RTS_CFG.h
// edited by thunderfoot006 05/03/09.

#include "ART_CFG.h"
#include "ADLOG_CFG.h"
#include "Network_CFG.h"
#define cfgINTRO_MOVIE_NAME "Intro.bik"
float cfg_DEFAULT_TACTICAL_ZOOM = 2.5;
float OVERVIEW_PARABOLA_FOCUS = 200.0;
float OVERVIEW_MAX_HEIGHT  = 2000.0;
float OVERVIEW_INIT_HEIGHT = 1000.0;
float OVERVIEW_MIN_HEIGHT  =  10.0;
float OVERVIEW_INIT_ROTATION = 0.0;
int SCROLL_BORDER_WIDTH = 2;
float SCROLL_COEFFICIENT = 90000.0;
float FASTSCROLL_COEFFICIENT = 0.005;
float ZOOM_SCROLL_COEFFICIENT = 0.01;
float ROTATION_SCROLL_COEFFICIENT = 0.01;
float CINEMATIC_ROTATION_COEFFECIENT = 0.035;
float KEYBOARD_SCROLL_RATE =  1.0;
float cfgMOUSE_HOLD_LEVEL = 0.28;		// how long the mouse button needs to be held before it's considered a hold
int SCROLL_ACCELERATION = 2;			// Multiplier for each "step"
float MAX_SCROLL_SPEED = 2.0;			// The max speed we want to scroll
float INITIAL_SCROLL_SPEED = 1;			// Initial speed
int cfgTACTICAL_WHERE_MODE = 3;			// use last selected end path or what you get from shift
int SELECTION_RECTANGLE_COMMIT_AREA = 100;	// Define the area of the rectangle we need to form for the selection
						// rectangle to become the current action.
float STATION_PLACEMENT_GRID_SIZE = 50.0;		// The size of the grid squares in the placement map.
float cfgPATH_POINT_SELECTION_DISTANCE=15;	// How far from a path point we
						// can click and select it
int SNAP_TO_DISTANCE = 10;			// Distance where the panels snap to another panel or the edge.
int UNHIDE_DISTANCE = 15;				// Distance at which the interface auto-hide pops up.
float GRID_FX_GROWTH_RATE = 0.83;
float GRID_FX_MAX_SIZE = 50.0;
float GRID_FX_MIN_SIZE = 2.0;
float GRID_FX_GROWTH_INTERVAL = 0.01;		// In seconds. Time to pass between growth.
float GRID_FX_ROTATION_SPEED = 2.0;
int SHOW_QUADTREE = 0;				// Should we show the quadtree decompsition?
int SHOW_FOOTPRINTS_IN_EDIT_MODE = 0;		// Should we show footprints in edit mode?
int DEBUG_VECTORS_3D = 0;
int DEBUG_SHOW_AI_PATHS = 0;
int DEBUG_SHOW_AI_PATHS_RUNNING = 0;
int DEBUG_SHOW_CURVES = 1;
int DEBUG_SHOW_OBJ_POSTS = 1;
int DEBUG_SHOW_LOCAL_BOUNDING_BOX = 0;
int DEBUG_SHOW_OBJECT_BOUNDING_BOX = 0;
int DEBUG_SHOW_OBJECT_BOUNDING_SPHERE = 0;
int DEBUG_SHOW_BOUNDING_SQUARE = 0;
// DEBUG_DRAW can  be 0 - 3
//	0 means draw nothing, 
//	1 means draw just coords 
//	2 means draw everything but AI, 
//	3 means AI state only
int DEBUG_DRAW = 0;
float cfgINITIAL_STARDATE = 56123.1;		// stardate at mission start if not specified
float cfgSTARDATE_PER_SECOND =0.01389;		// for every "game second (more or less real time second), this many stardate intervals pass
float cfgDEFEND_TIME = 60.0 * 60.0;			// how long does a defender need to hold out (if unspecified) in seconds -- 1 hour
float cfgLATINUM_COLLECT = 15000.0;		// how much latinum to collect to win a latinum collection game
float EASY_DAMAGE = 0.5;
float HARD_DAMAGE = 2.0;
float EASY_MINING_MODIFIER = 2.0;
float HARD_MINING_MODIFIER = 0.5;
float EASY_SPECIAL_WEAPON_FIRE_MODIFIER = 20.0;
float DEFAULT_SPECIAL_WEAPON_FIRE_MODIFIER = 4.0;
float HARD_SPECIAL_WEAPON_FIRE_MODIFIER = 0.05;
float HARD_AI_COST_HANDICAP = 0.6;
float HARD_AI_SPEED_HANDICAP = 0.7;
float MEDIUM_AI_COST_HANDICAP = 0.85;
float MEDIUM_AI_SPEED_HANDICAP = 1.0;
float EASY_AI_COST_HANDICAP = 1.2;
float EASY_AI_SPEED_HANDICAP = 1.1;
float HARD_AI_CLOAK_PERCENT = 75;
float MEDIUM_AI_CLOAK_PERCENT = 50;
float EASY_AI_CLOAK_PERCENT = 25;
float cfgRESOURCE_LATINUM_SPACING = 500.0;
float cfg8472_RESOURCE_DISTANCE = 300.0;
float cfg8472_RESOURCE_INSIDE_DISTANCE = 200.0;
int cfgFREIGHTERS_PER_MOON = 3;
int cfgFREIGHTERS_PER_NEBULA = 3;
int cfgFREIGHTERS_PER_PLANET = 5;
float cfgRESOURCE_THREAT_PENALTY_COEFFICIENT = 1.0;
float cfgPLANET_BASE_BUILD_BUFFER = 400.0;
float cfg_MIN_MOVE_DISTANCE_FOR_CLOAK = 1000.0;
float cfg_MIN_MOVE_WARP_DISTANCE = 800.0;
int ST3D_NUM_ZSORT_BUCKETS = 16384000;
int ST3D_SHOW_LIGHT_SOURCE_INFO=0;
int ST3D_PRELOAD_TEXTURES = 1;
// When should we flush buffers (degrading performance) to work around driver bugs?
// 0 = when we auto-detect bad drivers
// 1 = always
// 2 = never
int cfgST3D_ALWAYS_FLUSH_D3D_BUFFERS = 1;
int USE_SYSTEM_HITPOINTS = 1;
int SYSTEM_HITPOINTS_BONUS = 0;
float SHIELD_DAMAGE_PROTECTION = 0.8;
int cfgFACING_CONSTANT = 3;
float cfgFACING_WEIGHT = 0.2;
int cfgDEMAND_LOAD_ODFS = 1;
int cfgRELOAD_OBJECT_CLASSES = 0;
int cfgFLIP_TO_WINDOWED_ON_ASSERT = 1;
int cfgTACTICAL_GRID_RENDER = 2;
int cfgSTRATEGIC_GRID_RENDER = 0;
int  FRAMERATE_DISPLAY = 0;
float cfgMIN_STRATEGIC_VIEW_OBJECT_RADIUS = 25.0; // 1/4 grid square size
float cfgMAX_STRATEGIC_VIEW_OBJECT_SCALE = 1.00;  // Grow by at most 75%
int cfg_AI_SHOW_GOALS_COUNT = 12;
int CIRCLE_IN_PLACE_DURING_COMBAT = 1;
float CIRCLE_RADIUS_DIVISOR = 6.0;
float MAX_PREVENTION_ROTATION = 0.6;
int OFF_MAP_PATHING_COST = 90000;
float HIGHEST_QUADTREE_GRID_RESOLUTION = 50.0;
float cfg_WARP_INHIBITION_BUFFER = 80.0;
int USE_PATH_PLANNING = 1;
int IMPASSABLE_TERRAIN = -1;
int DEFAULT_TERRAIN_VALUE = 100;
int cfg_WARP_INHIBITION_COST = DEFAULT_TERRAIN_VALUE * 4;
int cfg_ALMOST_INTRAVERSIBLE = 300;
int PERFORM_RUBBER_BANDING = 1;
float COMBAT_SLOWDOWN = 1;
float FORMATION_LEADER_SLOWDOWN = 1;
float NEBULAE_PATHING_COST = 3000000.0;
float NEBULAE_PATHING_SAFETY_COEFFICIENT = 1.8;
float ASTEROID_BELT_PATHING_COST = 400.0;
float BLACKHOLE_PATHING_COST = IMPASSABLE_TERRAIN;
float BLACKHOLE_PATHING_SAFETY_COEFFICIENT = 1.5;
int cfgDEFAULT_TO_FORMATION_MOVE = 0;
float cfgPLANET_DEWARP_RADIUS_MULTIPLIER = 5;
float cfgBLACKHOLE_DEWARP_RADIUS_MULTIPLIER = 52.0;
float PLANET_MINING_RADIUS_OFFSET = 150;
float AI_GRID_SIZE = 400.0;
#define EASY_AI "AI_Easy_Script.dsl"
#define MEDIUM_AI "AI_Medium_Script.dsl"
#define HARD_AI "AI_Hard_Script.dsl"
float SHIP_COMBAT_FLOOR = -1300.0;
float SHIP_COMBAT_CEILING = 1300.0;
float ANCHOR_PURSUIT_POINT_ANGLE = (3.14159/6);
float ANCHOR_RADIUS = 4.0;
float ANCHOR_PURSUIT_FORCE = 10.0;
float CENTER_OF_COMBAT_PERSISTENCE_CUTOFF = 6 * ANCHOR_RADIUS;
float DOGFIGHT_RANGE = 70.0;
float cfgDOGFIGHT_RADIUS_MODIFIER = 3.0;
float cfgCLOVERLEAF_RADIUS_MODIFIER = 1.2;
float FORMATION_SPACING = 75.0;
float OLD_AVOIDANCE_FORCE_WEIGHT = 0.7;
int OBSTACLE_AVOIDANCE = 0;
float COLLISION_LOOK_AHEAD_TIME = 2.0;
float COLLISION_SAFETY_MARGIN = 1.5;
float Y_REPULSION = 0.75;
float PATH_POINT_RADIUS = 17.5;
float PATH_POINT_RADIUS_SQUARED = PATH_POINT_RADIUS * PATH_POINT_RADIUS;
float MAP_EDGE_EPSILON = 0.1;
float MAP_EDGE_BUFFER = 100.0;
float TRANSPORTER_RANGE = 500.0;
float TRANSPORTER_DELAY = 1.0;
float TRANSPORTER_ACTION_DELAY = 1.0;
int   TRANSPORTER_MAX = 5;
float DECONSTRUCT_PERCENT_TIME = 0.3;
float BEAM_MISS_LIFETIME = 0.1;
int NORMAL_WEAPON_TEAM_COLOR = 0;
int MAX_DILITHIUM = 9999999;
int MAX_CREW =		 9999999;
int MAX_LATINUM =	 9999999;
int MAX_METAL =		9999999;
int MAX_OFFICERS =     999;
int MAX_BIOMATTER = 9999999;
int STARTING_DILITHIUM = 3500;
int STARTING_CREW = 750;
int STARTING_CREW_CAPACITY = 250;	// this is the number of crew you can accumulate if you have nothing (no starbases, no planets)
int STARTING_LATINUM = 1000;
int STARTING_METAL = 12500;
int SINGLE_PLAYER_OFFICER_LIMIT = 750;
struct MP_Resource_Class
{
	char m_key[80];			// key for multilanguage lookup in the label.map file
//	int m_dilithium;
//	int m_metal;
//	int m_latinum;
//	int m_crew;
};
int MP_RESOURCE_MODES = 3;	// Note -- this cannot be more than 60 (and it may fail if over 8 depending on how win event handles are set up)
MP_Resource_Class MP_STARTING_RESOURCE[MP_RESOURCE_MODES] = 
{
//  Key					Dilith			Metal		Latinum			Crew	
	"sr_normal",//		3500,			2000,		500,			1200,
	"sr_lots",	//		30000,			30000,		30000,			30000,
	"sr_unlimited",//		MAX_DILITHIUM,	MAX_CREW,	MAX_LATINUM,	MAX_CREW,
};
struct MP_Officer_Limit_Class
{
	char m_key[80];			// key for multilanguage lookup in the label.map file
	int m_officer_limit;
};
int MP_OFFICER_LIST_SIZE = 4;
MP_Officer_Limit_Class MP_OFFICER_LIMIT[MP_OFFICER_LIST_SIZE] = 
{
	"ol_normal",		SINGLE_PLAYER_OFFICER_LIMIT,
	"ol_restricted",	SINGLE_PLAYER_OFFICER_LIMIT / 2,
	"ol_more",			SINGLE_PLAYER_OFFICER_LIMIT + 200,
	"ol_max",			MAX_OFFICERS
};
int DRAW_PIZZA_BOX = 0;
float cfgSCREEN_WIDTH =	1600.0;
float cfgSCREEN_HEIGHT = 1200.0;
int cfgRESIZEABLE_WINDOW = 1;
int cfgCONTROL_PANEL_SHOW = 0;
float cfgTACTICAL_SNAP_DISTANCE = 800.0;
int cfgFADE_OUT_ENABLED = 0;
float cfgFADE_OUT_MIN_FOV = 0.5;
float cfgFADE_OUT_MAX_FOV = 0.8;
// maximum degree of fade-out (1.0 = invisible, 0.0 = opaque)
float cfgFADE_OUT_MAX = 0.9;
float cfgTOO_CLOSE_TO_WARP = 800.0;
float cfgWINNERS_BONUS = 5000;
int cfgPOP_SPARSE = 1000;
int cfgPOP_LIGHT = 2000;
int cfgPOP_MEDIUM = 3000;
int cfgPOP_HEAVY = 5000;
float cfgPLANET_CIVILIAN_RATE_MODIFIER = 0.20;
float cfgTIMELINE_FREQ = 0.5;
float cfgTSTATION_TIME_BETWEEN_FERENGI = 60;
float cfgKILL_FERENGI_TIME_ADD = 5;
float cfgBIOMATTER_RECYCLE_FRACTION = 0.5;
#define cfgSOUND_VOICE_SAMPLE "gvopic50.wav"
#define cfgSOUND_EFFECTS_SAMPLE "phfwea.wav"
#define cfgSOUND_BUTTON_SAMPLE "federation_click.wav"


